{
    attributes = (
        {
            columnName = "EACT_DATE_SAISIE"; 
            externalType = DATE; 
            internalInfo = {"_nameInObjectStore" = "EPCO_DATE_SAISIE"; }; 
            name = eactDateSaisie; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "EACT_HT_SAISIE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_HT_SAISIE"; }; 
            name = eactHtSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "EACT_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_ID"; }; 
            name = eactId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EACT_MONTANT_BUDGETAIRE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_MONTANT_BUDGETAIRE"; }; 
            name = eactMontantBudgetaire; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "EACT_MONTANT_BUDGETAIRE_RESTE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_MONTANT_BUDGETAIRE_RESTE"; }; 
            name = eactMontantBudgetaireReste; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "EACT_TTC_SAISIE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_TTC_SAISIE"; }; 
            name = eactTtcSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "EACT_TVA_SAISIE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "EPCO_TVA_SAISIE"; }; 
            name = eactTvaSaisie; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "ENG_ID"; 
            externalType = NUMBER; 
            name = engId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TYAC_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "PCO_NUM"; }; 
            name = tyacId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (engId, eactId, exeOrdre, tyacId); 
    className = "org.cocktail.kava.server.metier.EOEngageCtrlAction"; 
    classProperties = (
        eactDateSaisie, 
        eactHtSaisie, 
        eactMontantBudgetaire, 
        eactMontantBudgetaireReste, 
        eactTtcSaisie, 
        eactTvaSaisie, 
        exeOrdre, 
        lolfNomenclatureDepense
    ); 
    externalName = "jefy_depense.engage_ctrl_action"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            epcoDateSaisie, 
            epcoHtSaisie, 
            epcoMontantBudgetaire, 
            epcoMontantBudgetaireReste, 
            epcoTtcSaisie, 
            epcoTvaSaisie, 
            exeOrdre, 
            planComptable, 
            lolfNomenclatureDepense, 
            eactDateSaisie, 
            eactHtSaisie, 
            eactMontantBudgetaire, 
            eactMontantBudgetaireReste, 
            eactTtcSaisie, 
            eactTvaSaisie
        ); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOEngageCtrlAction"; 
    }; 
    name = EngageCtrlAction; 
    primaryKeyAttributes = (eactId); 
    relationships = (
        {
            destination = LolfNomenclatureDepense; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = lolfId; sourceAttribute = tyacId; }); 
            name = lolfNomenclatureDepense; 
        }
    ); 
}
